Index: console/src/main/org/jboss/console/plugins/AOPLister.java
===================================================================
--- console/src/main/org/jboss/console/plugins/AOPLister.java	(revision 73826)
+++ console/src/main/org/jboss/console/plugins/AOPLister.java	(working copy)
@@ -867,7 +880,7 @@
 
 	  RefreshPoller()
 	  {
-		 setName("AOPListner");
+		 setName("AOPListner"); //$NON-NLS-1$
 		 setDaemon(true);
 	  }
    	 
@@ -929,10 +942,10 @@
    {
       public static ClassAdvisor getAdvisor(String classname)
       {
-         String[] name = classname.split("\\.");
+         String[] name = classname.split("\\."); //$NON-NLS-1$
          Package root = Package.aopClassMap();
          
-         if (!root.name.equals("classes"))throw new RuntimeException("Did not get expected root 'classes'"); 
+         if (!root.name.equals("classes"))throw new RuntimeException("Did not get expected root 'classes'");  //$NON-NLS-1$ //$NON-NLS-2$
          
          for (Iterator it = root.packages.entrySet().iterator() ; it.hasNext() ; )
          {
Index: console/src/main/org/jboss/console/plugins/UCLLister.java
===================================================================
--- console/src/main/org/jboss/console/plugins/UCLLister.java	(revision 73826)
+++ console/src/main/org/jboss/console/plugins/UCLLister.java	(working copy)
@@ -21,13 +21,14 @@
   */
 package org.jboss.console.plugins;
 
+import javax.management.ObjectInstance;
+
+import org.jboss.console.I18n;
 import org.jboss.console.manager.interfaces.ManageableResource;
 import org.jboss.console.manager.interfaces.ResourceTreeNode;
 import org.jboss.console.manager.interfaces.TreeNode;
 import org.jboss.console.plugins.helpers.AbstractPluginWrapper;
 
-import javax.management.ObjectInstance;
-
 /**
  * As the number of UCL can be very big, we use a real Java class which is far
  * faster than beanshell
@@ -52,13 +53,13 @@
    
    ResourceTreeNode createUCLSubResource (ObjectInstance instance) throws Exception
    {
-      String uclName = instance.getObjectName().getKeyProperty ("UCL");
+      String uclName = instance.getObjectName().getKeyProperty ("UCL"); //$NON-NLS-1$
             
       return createResourceNode ( 
-            "UCL " + uclName, // name
-            "UCL with id " + uclName, // description
-            "images/service.gif", // Icon URL
-            "/jmx-console/HtmlAdaptor?action=inspectMBean&name=" + encode(instance.getObjectName().toString()), // Default URL
+            I18n.gettext("UCL {0}", uclName), // name //$NON-NLS-1$
+            I18n.gettext("UCL with id {0}", uclName), // description //$NON-NLS-1$
+            "images/service.gif", // Icon URL //$NON-NLS-1$
+            "/jmx-console/HtmlAdaptor?action=inspectMBean&name=" + encode(instance.getObjectName().toString()), // Default URL //$NON-NLS-1$
             null,
             null,
             null,
@@ -69,8 +70,8 @@
    ResourceTreeNode[] createUCLSubResources ()  throws Exception
    {
       ObjectInstance[] insts = 
-         getMBeansForClass("jmx.loading:*", 
-            "org.jboss.mx.loading.UnifiedClassLoader3");
+         getMBeansForClass("jmx.loading:*",  //$NON-NLS-1$
+            "org.jboss.mx.loading.UnifiedClassLoader3"); //$NON-NLS-1$
       
       ResourceTreeNode[] result = new ResourceTreeNode[insts.length];
       for (int i=0; i<result.length; i++)
@@ -86,9 +87,9 @@
       try
       {
          return createTreeNode (
-               "Unified ClassLoaders", // name
-               "Display all JBoss UCLs", // description
-               "images/recycle.gif", // Icon URL
+               I18n.gettext("Unified ClassLoaders"), // name //$NON-NLS-1$
+               I18n.gettext("Display all JBoss UCLs"), // description //$NON-NLS-1$
+               "images/recycle.gif", // Icon URL //$NON-NLS-1$
                null, // Default URL
                null,
                null, // sub nodes
Index: console/src/main/org/jboss/console/plugins/WebModuleLister.java
===================================================================
--- console/src/main/org/jboss/console/plugins/WebModuleLister.java	(revision 73826)
+++ console/src/main/org/jboss/console/plugins/WebModuleLister.java	(working copy)
@@ -23,6 +23,7 @@
 
 import javax.management.ObjectName;
 
+import org.jboss.console.I18n;
 import org.jboss.console.manager.interfaces.ManageableResource;
 import org.jboss.console.manager.interfaces.ResourceTreeNode;
 import org.jboss.console.manager.interfaces.TreeNode;
@@ -51,7 +52,7 @@
 {
    private static final long serialVersionUID = -8019251323455453105L;
 
-   protected final static String JMX_JSR77_DOMAIN = "jboss.management.local";
+   protected final static String JMX_JSR77_DOMAIN = "jboss.management.local"; //$NON-NLS-1$
    
    public WebModuleLister () { super(); }
       
@@ -66,13 +67,13 @@
       for (int i=0; i< servletsObjectName.length; i++)
       {
          ObjectName objectName = new ObjectName(servletsObjectName[i]);
-          String name = objectName.getKeyProperty("name");
+          String name = objectName.getKeyProperty("name"); //$NON-NLS-1$
 
           servlets[i] = createResourceNode(
                   name,  // name
-               "'" + name + "' Servlet", // description
-               "images/serviceset.gif", // Icon URL
-               "Servlet.jsp?ObjectName=" + encode(objectName.toString()), // Default URL
+               I18n.gettext("''{0}'' Servlet", name), // description //$NON-NLS-1$
+               "images/serviceset.gif", // Icon URL //$NON-NLS-1$
+               "Servlet.jsp?ObjectName=" + encode(objectName.toString()), // Default URL //$NON-NLS-1$
                null,
                null, // sub nodes
                null,   // Sub-Resources
@@ -93,10 +94,10 @@
 
          return createTreeNode
             (
-               objName.getKeyProperty("name"),  // name
-               "", // description
-               "images/spirale.gif", // Icon URL
-               "WebModule.jsp?ObjectName=" + encode(objName.toString()), // Default URL
+               objName.getKeyProperty("name"),  // name //$NON-NLS-1$
+               "", // description //$NON-NLS-1$
+               "images/spirale.gif", // Icon URL //$NON-NLS-1$
+               "WebModule.jsp?ObjectName=" + encode(objName.toString()), // Default URL //$NON-NLS-1$
                null,
                null, // sub nodes
                createBeans (objName)   // Sub-Resources                  
Index: console/src/main/org/jboss/console/plugins/MBeansLister.java
===================================================================
--- console/src/main/org/jboss/console/plugins/MBeansLister.java	(revision 73826)
+++ console/src/main/org/jboss/console/plugins/MBeansLister.java	(working copy)
@@ -21,22 +21,24 @@
   */
 package org.jboss.console.plugins;
 
+import java.util.ArrayList;
+import java.util.HashSet;
+import java.util.Iterator;
+
+import javax.management.MBeanAttributeInfo;
+import javax.management.ObjectName;
+
+import org.jboss.console.I18n;
 import org.jboss.console.manager.interfaces.ManageableResource;
 import org.jboss.console.manager.interfaces.TreeNode;
 import org.jboss.console.manager.interfaces.TreeNodeMenuEntry;
 import org.jboss.console.manager.interfaces.impl.GraphMBeanAttributeAction;
+import org.jboss.console.manager.interfaces.impl.HttpLinkTreeAction;
 import org.jboss.console.manager.interfaces.impl.SimpleTreeNodeMenuEntryImpl;
-import org.jboss.console.manager.interfaces.impl.HttpLinkTreeAction;
 import org.jboss.console.plugins.helpers.AbstractPluginWrapper;
 import org.jboss.console.plugins.helpers.jmx.DomainData;
 import org.jboss.console.plugins.helpers.jmx.MBeanData;
 import org.jboss.console.plugins.helpers.jmx.Server;
-
-import javax.management.MBeanAttributeInfo;
-import javax.management.ObjectName;
-import java.util.ArrayList;
-import java.util.Iterator;
-import java.util.HashSet;
 /**
  * As the number of MBeans is very big, we use a real Java class which is far
  * faster than beanshell
@@ -60,16 +62,16 @@
 
    static
    {
-      graphableClasses.add("java.lang.Integer");
-      graphableClasses.add("java.lang.Short");
-      graphableClasses.add("java.lang.Double");
-      graphableClasses.add("java.lang.Float");
-      graphableClasses.add("java.lang.Long");
-      graphableClasses.add("int");
-      graphableClasses.add("short");
-      graphableClasses.add("double");
-      graphableClasses.add("float");
-      graphableClasses.add("long");
+      graphableClasses.add("java.lang.Integer"); //$NON-NLS-1$
+      graphableClasses.add("java.lang.Short"); //$NON-NLS-1$
+      graphableClasses.add("java.lang.Double"); //$NON-NLS-1$
+      graphableClasses.add("java.lang.Float"); //$NON-NLS-1$
+      graphableClasses.add("java.lang.Long"); //$NON-NLS-1$
+      graphableClasses.add("int"); //$NON-NLS-1$
+      graphableClasses.add("short"); //$NON-NLS-1$
+      graphableClasses.add("double"); //$NON-NLS-1$
+      graphableClasses.add("float"); //$NON-NLS-1$
+      graphableClasses.add("long"); //$NON-NLS-1$
    }
    public MBeansLister () { super(); }
 
@@ -78,20 +80,20 @@
       TreeNodeMenuEntry[] entries = null;
       if (graphableClasses.contains(attr.getType()))
       {
-         SimpleTreeNodeMenuEntryImpl entry = new SimpleTreeNodeMenuEntryImpl("graph", new GraphMBeanAttributeAction(mbeanName, attr.getName()));
-         SimpleTreeNodeMenuEntryImpl entry2 = new SimpleTreeNodeMenuEntryImpl("create monitor", new HttpLinkTreeAction(
-                 "/web-console/createThresholdMonitor.jsp?attribute=" + attr.getName() + "&objectName=" + encode(mbeanName.toString())));
-         SimpleTreeNodeMenuEntryImpl entry3 = new SimpleTreeNodeMenuEntryImpl("create snapshot", new HttpLinkTreeAction(
-                 "/web-console/createSnapshot.jsp?attribute=" + attr.getName() + "&objectName=" + encode(mbeanName.toString())));
+         SimpleTreeNodeMenuEntryImpl entry = new SimpleTreeNodeMenuEntryImpl(I18n.gettext("graph"), new GraphMBeanAttributeAction(mbeanName, attr.getName())); //$NON-NLS-1$
+         SimpleTreeNodeMenuEntryImpl entry2 = new SimpleTreeNodeMenuEntryImpl(I18n.gettext("create monitor"), new HttpLinkTreeAction( //$NON-NLS-1$
+                 "/web-console/createThresholdMonitor.jsp?attribute=" + attr.getName() + "&objectName=" + encode(mbeanName.toString())));  //$NON-NLS-1$//$NON-NLS-2$
+         SimpleTreeNodeMenuEntryImpl entry3 = new SimpleTreeNodeMenuEntryImpl(I18n.gettext("create snapshot"), new HttpLinkTreeAction( //$NON-NLS-1$
+                 "/web-console/createSnapshot.jsp?attribute=" + attr.getName() + "&objectName=" + encode(mbeanName.toString())));  //$NON-NLS-1$//$NON-NLS-2$
          entries = new TreeNodeMenuEntry[3];
          entries[0] = entry;
          entries[1] = entry2;
          entries[2] = entry3;
       }
-      else if (attr.getType().equals("String") || attr.getType().equals("java.lang.String"))
+      else if (attr.getType().equals("String") || attr.getType().equals("java.lang.String"))  //$NON-NLS-1$//$NON-NLS-2$
       {
-         SimpleTreeNodeMenuEntryImpl entry = new SimpleTreeNodeMenuEntryImpl("create monitor", new HttpLinkTreeAction(
-                 "/web-console/createStringThresholdMonitor.jsp?attribute=" + attr.getName() + "&objectName=" + encode(mbeanName.toString())));
+         SimpleTreeNodeMenuEntryImpl entry = new SimpleTreeNodeMenuEntryImpl(I18n.gettext("create monitor"), new HttpLinkTreeAction( //$NON-NLS-1$
+                 "/web-console/createStringThresholdMonitor.jsp?attribute=" + attr.getName() + "&objectName=" + encode(mbeanName.toString()))); //$NON-NLS-1$ //$NON-NLS-2$
          entries = new TreeNodeMenuEntry[1];
          entries[0] = entry;
       }
@@ -99,8 +101,8 @@
       return createTreeNode(
               attr.getName(),
               attr.getDescription(),
-              "images/container.gif",
-              "/jmx-console/HtmlAdaptor?action=inspectMBean&name=" + encode("" + mbeanName), // Default URL
+              "images/container.gif", //$NON-NLS-1$
+              "/jmx-console/HtmlAdaptor?action=inspectMBean&name=" + encode("" + mbeanName), // Default URL //$NON-NLS-1$ //$NON-NLS-2$
               entries,
               null,
               null
@@ -110,13 +112,13 @@
    }
    TreeNode createJmxMBeanSubResources (MBeanData data) throws Exception
    {
-      String name = "" + data.getObjectName();
+      String name = "" + data.getObjectName(); //$NON-NLS-1$
       String displayName = data.getName ();
             
       if (displayName == null)
       {
          // Get ride of the domain name because it is already is the header
-         int index = name.indexOf( ":" );
+         int index = name.indexOf( ":" ); //$NON-NLS-1$
          displayName = ( index >= 0 ) ? name.substring( index + 1 ) : name;
       }
 
@@ -130,8 +132,8 @@
       return createTreeNode (
             displayName, // name
             name, // description
-            "images/server.gif", // Icon URL
-            "/jmx-console/HtmlAdaptor?action=inspectMBean&name=" + encode(name), // Default URL
+            "images/server.gif", // Icon URL //$NON-NLS-1$
+            "/jmx-console/HtmlAdaptor?action=inspectMBean&name=" + encode(name), // Default URL //$NON-NLS-1$
             null,
             attrNodes,
             null
@@ -162,14 +164,14 @@
 
          TreeNodeMenuEntry[] menu = createMenus (new String[] 
             {
-               "Number of MBeans: " + data.length, null,
+               I18n.gettext("Number of MBeans: {0}", data.length), null, //$NON-NLS-1$
             }
          );
          
          domains.add(createTreeNode (
                domainName, // name
-               "MBeans for domain " + domainName, // description
-               "images/serviceset.gif", // Icon URL
+               I18n.gettext("MBeans for domain {0}", domainName), // description //$NON-NLS-1$
+               "images/serviceset.gif", // Icon URL //$NON-NLS-1$
                null, // Default URL
                menu, // menu
                subResources, // sub nodes
@@ -196,10 +198,10 @@
       try
       {
          return createTreeNode (
-               "JMX MBeans", // name
-               "Display all JMX MBeans", // description
-               "images/flash.gif", // Icon URL
-               "/jmx-console/HtmlAdaptor?action=displayMBeans", // Default URL
+               I18n.gettext("JMX MBeans"), // name //$NON-NLS-1$
+               I18n.gettext("Display all JMX MBeans"), // description //$NON-NLS-1$
+               "images/flash.gif", // Icon URL //$NON-NLS-1$
+               "/jmx-console/HtmlAdaptor?action=displayMBeans", // Default URL //$NON-NLS-1$
                null,
                createJmxDomainsSubNodes (), // sub nodes
                null   // Sub-Resources                  
Index: console/src/main/org/jboss/console/plugins/MonitorLister.java
===================================================================
--- console/src/main/org/jboss/console/plugins/MonitorLister.java	(revision 73826)
+++ console/src/main/org/jboss/console/plugins/MonitorLister.java	(working copy)
@@ -28,6 +28,7 @@
 import javax.management.MBeanServer;
 import javax.management.ObjectName;
 
+import org.jboss.console.I18n;
 import org.jboss.console.manager.interfaces.ManageableResource;
 import org.jboss.console.manager.interfaces.TreeNode;
 import org.jboss.console.plugins.helpers.AbstractPluginWrapper;
@@ -50,7 +51,7 @@
    {
       MBeanServer mbeanServer = getMBeanServer();
       InstanceOfQueryExp queryExp = null;
-      queryExp = new InstanceOfQueryExp("org.jboss.monitor.JBossMonitorMBean");
+      queryExp = new InstanceOfQueryExp("org.jboss.monitor.JBossMonitorMBean"); //$NON-NLS-1$
       Set monitors = mbeanServer.queryNames(null, queryExp);
       Iterator mbeans = monitors.iterator();;
       
@@ -63,26 +64,27 @@
       while( mbeans.hasNext() )
       {
          ObjectName mbean = (ObjectName)mbeans.next();
-         String monitorName = (String)mbeanServer.getAttribute(mbean, "MonitorName");
-         boolean alerted = ((Boolean)mbeanServer.invoke(mbean, "alerted", emptyArgs, emptySig)).booleanValue();
+         String monitorName = (String)mbeanServer.getAttribute(mbean, "MonitorName"); //$NON-NLS-1$
+         boolean alerted = ((Boolean)mbeanServer.invoke(mbean, "alerted", emptyArgs, emptySig)).booleanValue(); //$NON-NLS-1$
          //String image = alerted ? "images/red_bullet.gif" : "images/green_bullet.gif";
-         String image = "images/service.gif";
-         Object[] args = {"monitors", monitorName, "-service.xml"};
-         String[] signature = {"java.lang.String", "java.lang.String", "java.lang.String"};
-         Object rtn = mbeanServer.invoke(new ObjectName("jboss.admin:service=DeploymentFileRepository"), "isStored", args, signature);
+         String image = "images/service.gif"; //$NON-NLS-1$
+         Object[] args = {"monitors", monitorName, "-service.xml"}; //$NON-NLS-1$ //$NON-NLS-2$
+         String[] signature = {"java.lang.String", "java.lang.String", "java.lang.String"}; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
+         Object rtn = mbeanServer.invoke(new ObjectName("jboss.admin:service=DeploymentFileRepository"), "isStored", args, signature); //$NON-NLS-1$ //$NON-NLS-2$
          boolean persisted = ((Boolean)rtn).booleanValue();
-         String url = "";
+         String url = ""; //$NON-NLS-1$
          if (persisted)
          {
-            url = "manageThresholdMonitor.jsp?monitorObjectName=" + encode(mbean.toString());
+            url = "manageThresholdMonitor.jsp?monitorObjectName=" + encode(mbean.toString()); //$NON-NLS-1$
          }
          else
          {
-            url = "/jmx-console/HtmlAdaptor?action=inspectMBean&name=" +encode(mbean.toString());
+            url = "/jmx-console/HtmlAdaptor?action=inspectMBean&name=" +encode(mbean.toString()); //$NON-NLS-1$
          }
          monitorNodes.add(createTreeNode (
                monitorName, // name
-               "Alert Monitor " + monitorName, // description
+               // TODO consider "marking" strings here (for xgettext), but only translating them when they are used on the client 
+               I18n.gettext("Alert Monitor {0}", monitorName), // description //$NON-NLS-1$
                image, // Icon URL
                url, // Default URL
                null, // menu
@@ -109,7 +111,7 @@
    {
       MBeanServer mbeanServer = getMBeanServer();
       InstanceOfQueryExp queryExp = null;
-      queryExp = new InstanceOfQueryExp("org.jboss.monitor.SnapshotRecordingMonitorMBean");
+      queryExp = new InstanceOfQueryExp("org.jboss.monitor.SnapshotRecordingMonitorMBean"); //$NON-NLS-1$
       Set monitors = mbeanServer.queryNames(null, queryExp);
       Iterator mbeans = monitors.iterator();;
 
@@ -120,12 +122,12 @@
       while( mbeans.hasNext() )
       {
          ObjectName mbean = (ObjectName)mbeans.next();
-         String monitorName = (String)mbeanServer.getAttribute(mbean, "MonitorName");
-         String url = "manageSnapshot.jsp?monitorObjectName=" + encode(mbean.toString());
-         String image = "images/service.gif";
+         String monitorName = (String)mbeanServer.getAttribute(mbean, "MonitorName"); //$NON-NLS-1$
+         String url = "manageSnapshot.jsp?monitorObjectName=" + encode(mbean.toString()); //$NON-NLS-1$
+         String image = "images/service.gif"; //$NON-NLS-1$
          monitorNodes.add(createTreeNode (
                monitorName, // name
-               "Snapshot " + monitorName, // description
+               I18n.gettext("Snapshot {0}", monitorName), // description //$NON-NLS-1$
                image, // Icon URL
                url, // Default URL
                null, // menu
@@ -153,19 +155,19 @@
       TreeNode[] webSubNodes = new TreeNode[2];
       
       webSubNodes[0] = createTreeNode(
-            "Connector scoreboard", // name
-            "JBossWeb Connectors status scoreboard", // description
-            "images/smallnet.gif", // Icon URL
-            "status", // Default URL
+            I18n.gettext("Connector scoreboard"), // name //$NON-NLS-1$
+            I18n.gettext("JBossWeb Connectors status scoreboard"), // description //$NON-NLS-1$
+            "images/smallnet.gif", // Icon URL //$NON-NLS-1$
+            "status", // Default URL //$NON-NLS-1$
             null,
             null, // sub nodes
             null   // Sub-Resources
          );
       webSubNodes[1] = createTreeNode(
-            "Full status", // name
-            "JBossWeb complete status", // description
-            "images/smallnet.gif", // Icon URL
-            "status?full=true", // Default URL
+            I18n.gettext("Full status"), // name //$NON-NLS-1$
+            I18n.gettext("JBossWeb complete status"), // description //$NON-NLS-1$
+            "images/smallnet.gif", // Icon URL //$NON-NLS-1$
+            "status?full=true", // Default URL //$NON-NLS-1$
             null,
             null, // sub nodes
             null   // Sub-Resources
@@ -183,10 +185,10 @@
          if (isActiveAlarmTablePresent())
          {
             subNodeList.add(createTreeNode(
-                  "Alarm Table", // name
-                  "Alarm Table", // description
-                  "images/smallnet.gif", // icon URL
-                  "listActiveAlarmTable.jsp", // default URL
+                  I18n.gettext("Alarm Table"), // name //$NON-NLS-1$
+                  I18n.gettext("Alarm Table"), // description //$NON-NLS-1$
+                  "images/smallnet.gif", // icon URL //$NON-NLS-1$
+                  "listActiveAlarmTable.jsp", // default URL //$NON-NLS-1$
                   null,
                   null, // sub-nodes
                   null // sub-resources
@@ -194,19 +196,19 @@
          }
          
          subNodeList.add(createTreeNode(
-               "Monitor Alerts", // name
-               "Monitor Alerts", // description
-               "images/smallnet.gif", // Icon URL
-               "listMonitors.jsp", // Default URL
+               I18n.gettext("Monitor Alerts"), // name //$NON-NLS-1$
+               I18n.gettext("Monitor Alerts"), // description //$NON-NLS-1$
+               "images/smallnet.gif", // Icon URL //$NON-NLS-1$
+               "listMonitors.jsp", // Default URL //$NON-NLS-1$
                null,
                createMonitorSubNodes(), // sub nodes
                null   // Sub-Resources
             ));
          
          subNodeList.add(createTreeNode(
-               "Snapshots", // name
-               "Snapshot Monitors", // description
-               "images/smallnet.gif", // Icon URL
+               I18n.gettext("Snapshots"), // name //$NON-NLS-1$
+               I18n.gettext("Snapshot Monitors"), // description //$NON-NLS-1$
+               "images/smallnet.gif", // Icon URL //$NON-NLS-1$
                null, // Default URL
                null,
                createSnapshotSubNodes(), // sub nodes
@@ -214,9 +216,9 @@
             ));
          
          subNodeList.add(createTreeNode(
-               "Web Status", // name
-               "JBossWeb Connectors status", // description
-               "images/smallnet.gif", // Icon URL
+               I18n.gettext("Web Status"), // name //$NON-NLS-1$
+               I18n.gettext("JBossWeb Connectors status"), // description //$NON-NLS-1$
+               "images/smallnet.gif", // Icon URL //$NON-NLS-1$
                null, // Default URL
                null,
                createWebSubNodes(), // sub nodes
@@ -227,9 +229,9 @@
          TreeNode[] subnodes = (TreeNode[]) subNodeList.toArray(new TreeNode[subNodeList.size()]);
          
          return createTreeNode (
-               "Monitoring", // name
-               "Monitoring", // description
-               "images/smallnet.gif", // Icon URL
+               I18n.gettext("Monitoring"), // name //$NON-NLS-1$
+               I18n.gettext("Monitoring"), // description //$NON-NLS-1$
+               "images/smallnet.gif", // Icon URL //$NON-NLS-1$
                null, // Default URL
                null,
                subnodes, // sub nodes
Index: console/src/main/org/jboss/console/plugins/JMSLister.java
===================================================================
--- console/src/main/org/jboss/console/plugins/JMSLister.java	(revision 73826)
+++ console/src/main/org/jboss/console/plugins/JMSLister.java	(working copy)
@@ -24,6 +24,7 @@
 import javax.management.ObjectInstance;
 import javax.management.ObjectName;
 
+import org.jboss.console.I18n;
 import org.jboss.console.manager.interfaces.ManageableResource;
 import org.jboss.console.manager.interfaces.ResourceTreeNode;
 import org.jboss.console.manager.interfaces.TreeNode;
@@ -39,7 +40,7 @@
 {
    private static final long serialVersionUID = -2428954274429502892L;
 
-   protected final static String JMX_JSR77_DOMAIN = "jboss.management.local";
+   protected final static String JMX_JSR77_DOMAIN = "jboss.management.local"; //$NON-NLS-1$
 
    public JMSLister()
    {
@@ -51,9 +52,9 @@
       try
       {
          ObjectName objName = ((MBeanResource) resource).getObjectName();
-         SimpleTreeNode node = createTreeNode(objName.getKeyProperty("name"), // name
-               "", // description
-               "images/spirale.gif", // Icon URL
+         SimpleTreeNode node = createTreeNode(objName.getKeyProperty("name"), // name //$NON-NLS-1$
+               "", // description //$NON-NLS-1$
+               "images/spirale.gif", // Icon URL //$NON-NLS-1$
                null, // Default URL									
                null, createDestinations(), // sub nodes 
                null // Sub-Resources                 
@@ -75,10 +76,10 @@
    {
       TreeNode[] destinations = new TreeNode[2];
 
-      destinations[0] = createTreeNode("Queues", "", "images/spirale.gif", null, null, null,
-            createDestinationItems("Queue"));
-      destinations[1] = createTreeNode("Topics", "", "images/spirale.gif", null, null, null,
-            createDestinationItems("Topic"));
+      destinations[0] = createTreeNode(I18n.gettext("Queues"), "", "images/spirale.gif", null, null, null, //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
+            createDestinationItems("Queue")); //$NON-NLS-1$
+      destinations[1] = createTreeNode(I18n.gettext("Topics"), "", "images/spirale.gif", null, null, null, //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
+            createDestinationItems("Topic")); //$NON-NLS-1$
 
       return destinations;
    }
@@ -90,7 +91,7 @@
     */
    private ResourceTreeNode[] createDestinationItems(String type) throws Exception
    {
-      ObjectInstance[] insts = getMBeansForQuery("jboss.mq.destination:service=" + type + ",*", null);
+      ObjectInstance[] insts = getMBeansForQuery("jboss.mq.destination:service=" + type + ",*", null);  //$NON-NLS-1$//$NON-NLS-2$
       ResourceTreeNode[] destinations = new ResourceTreeNode[insts.length];
       //JMSDestinationManager jmsServer = (JMSDestinationManager)this.mbeanServer.getAttribute(new ObjectName("jboss.mq:service=DestinationManager"), "Interceptor");
       for (int i = 0; i < insts.length; i++)
@@ -107,21 +108,21 @@
     */
    private ResourceTreeNode createDestinationItem(ObjectName objName) throws Exception
    {
-      String destinationName = objName.getKeyProperty("name");
-      String type = objName.getKeyProperty("service");
+      String destinationName = objName.getKeyProperty("name"); //$NON-NLS-1$
+      String type = objName.getKeyProperty("service"); //$NON-NLS-1$
       String className = this.mbeanServer.getMBeanInfo(objName).getClassName();
-      String fileName = "";
-      if (type.equalsIgnoreCase("Queue"))
+      String fileName = ""; //$NON-NLS-1$
+      if (type.equalsIgnoreCase("Queue")) //$NON-NLS-1$
       {
-         fileName = "Queue.jsp";
+         fileName = "Queue.jsp"; //$NON-NLS-1$
       }
-      else if (type.equalsIgnoreCase("Topic"))
+      else if (type.equalsIgnoreCase("Topic")) //$NON-NLS-1$
       {
-         fileName = "Topic.jsp";
+         fileName = "Topic.jsp"; //$NON-NLS-1$
       }
 
       ResourceTreeNode item = this.createResourceNode(destinationName, type, //Description Tooltip
-            "images/serviceset.gif", fileName + "?ObjectName=" + encode(objName.toString()), null, //menus 
+            "images/serviceset.gif", fileName + "?ObjectName=" + encode(objName.toString()), null, //menus  //$NON-NLS-1$ //$NON-NLS-2$
             null, //sub-nodes
             null, //sub-resources
             objName.toString(), className);
Index: console/src/main/org/jboss/console/navtree/RootWrapper.java
===================================================================
--- console/src/main/org/jboss/console/navtree/RootWrapper.java	(revision 73826)
+++ console/src/main/org/jboss/console/navtree/RootWrapper.java	(working copy)
@@ -23,6 +23,7 @@
 
 import java.util.Vector;
 
+import org.jboss.console.I18n;
 import org.jboss.console.manager.interfaces.ManageableResource;
 import org.jboss.console.manager.interfaces.TreeAction;
 import org.jboss.console.manager.interfaces.TreeInfo;
@@ -96,7 +97,7 @@
          return null;
 
       if (sons[index] == null)
-         sons[index] = new StdNodeWrapper(realSons[index], tree, "");
+         sons[index] = new StdNodeWrapper(realSons[index], tree, ""); //$NON-NLS-1$
 
       return sons[index];
    }
@@ -128,7 +129,7 @@
 
    public String toString ()
    {
-      return "JBoss Management Console";
+      return I18n.gettext("JBoss Management Console"); //$NON-NLS-1$
    }
    
    public TreeAction getAssociatedAction ()
@@ -148,7 +149,7 @@
    
    public String getPath ()
    {
-      return "";
+      return ""; //$NON-NLS-1$
    }
    // Y overrides ---------------------------------------------------
    
